Skip to content

Push provisioning for Google Pay

Request

Returns encrypted cardholder information and other metadata needed for Google Pay push provisioning.

This API is not available for sandbox testing.

Security
UserToken
Headers
x-tw-twcard-card-tokenstring, (uuid)required

The card token identifying which card to retrieve push provisioning data for.

Example:a3f90c98-1cd1-4488-9050-2e32c696f8fa
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
clientDeviceIdstringrequired

Stable device identification set by Wallet Provider. Could be computer identifier or ID tied to hardware such as TEE_ID or SE_ID. This field must match the clientDeviceId wallet provider will send in token provision request.

Example:"ed6abb56323ba656521ac476"
clientWalletAccountIdstringrequired

Client-provided consumer ID that identifies the Wallet Account Holder entity.

Example:"walletid"
curl -i -X POST \
  https://twcard.wise.com/twcard-data/v1/push-provisioning/encrypted-payload/google-pay \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -H 'x-tw-twcard-card-token: a3f90c98-1cd1-4488-9050-2e32c696f8fa' \
  -d '{
    "clientDeviceId": "ed6abb56323ba656521ac476",
    "clientWalletAccountId": "walletid"
  }'

Responses

Encrypted cardholder information for Google Pay.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
opaquePaymentCardstring

Encrypted authentication and activation data following card scheme and wallet provider specifications. The response is encoded in Base64.

Example:"eyJraWQiOiIwQk..."
cardNetworkstring

Card network.

Enum:"CARD_NETWORK_VISA""CARD_NETWORK_MASTERCARD"
Example:"CARD_NETWORK_VISA"
tokenServiceProviderstring

Token service provider.

Enum:"TOKEN_PROVIDER_VISA""TOKEN_PROVIDER_MASTERCARD"
Example:"TOKEN_PROVIDER_VISA"
cardDisplayNamestring

Default card name that will be displayed in wallet.

Example:"Wise Card"
cardLastDigitsstring

Last 4 digits of the card PAN.

Example:"1234"
userAddressobject

Entire address and phone number associated with the card.

Response
{ "opaquePaymentCard": "eyJraWQiOiIwQk...", "cardNetwork": "CARD_NETWORK_VISA", "tokenServiceProvider": "TOKEN_PROVIDER_VISA", "cardDisplayName": "Wise Card", "cardLastDigits": "1234", "userAddress": { "addressLine1": "56 Shoreditch High St", "addressLine2": "The Tea Bldg", "countryCode": "GB", "locality": "London", "administrativeArea": "", "name": "John Smith", "phoneNumber": "+441234567890", "postalCode": "E1 6JJ" } }